[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: gpsdrive and some perl packaging needed



On Thu, Jun 18, 2009 at 6:33 AM, Kevin Fenzi<kevin scrye com> wrote:
> On Thu, 18 Jun 2009 05:58:45 +0200
> Iain Arnell <iarnell gmail com> wrote:
>
>> On Wed, Jun 17, 2009 at 8:04 PM, Kevin Fenzi<kevin scrye com> wrote:
>> > perl(Geo::OSM:EntitiesV3)
>> > perl(Geo::OSM::OsmReaderV5)
>> > perl(Geo::OSM::EntitiesV5)
>> > perl(Geo::OSM::OsmReaderV3)
>>
>> Seem to be in gpsdrive tarball only - not in CPAN - should be part of
>> your package?
>
> Hum. I will dig some more, but they don't seem to be getting picked up.
>
> http://www.scrye.com/~kevin/fedora/gpsdrive-2.10-0.1.pre7.fc11.src.rpm
>
> is what I have so far. If anyone would like to provide patches or
> suggestions, they are welcome.

Not so tricky - just a pet gripe of mine with rpm provides/requires
for perl.  It picks up provides based on "package" statements in the
.pm files, but picks up requires based on "use" or "require"
statements (which generally need to resolve to the module's filename,
not necessarily what's declared in its package statement).

Since all of those files really exist in the right place in your rpm,
you can safely add manual provides for each of the missing deps.

-- 
Iain.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]